Field = {};
function MakeLabel(x,y,w,h,font)
   local r = Turbine.UI.Label();
   r:SetParent(MainWin);
   r:SetSize(w,h);
   r:SetPosition(x,y);
   r:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
   r:SetFont(Turbine.UI.Lotro.Font["TrajanPro"..font]);
   return r;
end
   
function DrawWindow()
   local pad = 20
   local line = 20
   local Width,Height = 210,6*line+2*pad
   MainWin = Turbine.UI.Window();
   MainWin:SetZOrder(-5);
   MainWin:SetSize(Width,Height);
   MainWin:SetPosition(AllSettings.x,AllSettings.y)
   MainWin:SetVisible(true);

   MoveWin = Turbine.UI.Lotro.Window();
   MoveWin:SetText("Wenda");
   MoveWin:SetSize(Width,Height);
   MoveWin:SetPosition(AllSettings.x,AllSettings.y)
   MoveWin:SetVisible(true);
   MoveWin.PositionChanged = function(sender, args)
      AllSettings.x = MoveWin:GetLeft()
      AllSettings.y = MoveWin:GetTop()
      MainWin:SetPosition(AllSettings.x,AllSettings.y)
   end
   MoveWin.Closed = function(sender, args)
      Options.moving = false;
      SwitchWindows()
      UpdateCheckboxes()
      Display()
   end

   function ToggleWindow(x,y)
      Options.moving = not Options.moving
      SwitchWindows()
      UpdateCheckboxes()
      Display()
   end
   Field["sub"] = MakeLabel(pad,  pad+1*line, Width - 2*pad, line, "16");
   Field["empty"] = MakeLabel(pad,pad+2*line, Width-2*pad, line, "16");
   Field["carry"] = MakeLabel(pad,pad+3*line,Width-2*pad, line,"16");
   AddCallback(Field["sub"],"MouseClick", ToggleWindow)
   AddCallback(Field["empty"],"MouseClick", ToggleWindow)
   AddCallback(Field["carry"],"MouseClick", ToggleWindow)
   Field["quick"] = Turbine.UI.Lotro.ItemControl()
   Field["quick"]:SetSize(36,36)
   Field["quick"]:SetPosition(pad,pad+4*line);
   Field["quick"]:SetParent(MainWin)
   Field["quick"]:SetOpacity(0.1);
   Field["quick"]:SetVisible(false);
   Field["quick"]:SetBackColor(Turbine.UI.Color(0.5,0.5,0.5));
   if SubServicesItem ~= nil then
      Field["quick"]:SetItem(SubServicesItem)
   end
   Field["dropdown"] = DropDown.Create(GetEveryone());
   Field["dropdown"]:ApplyWidth(130);
   Field["dropdown"]:SetMaxItems(10);
   Field["dropdown"]:SetPosition(pad+40,pad+4*line);
   Field["dropdown"]:SetAlignment("LEFT");
   
end
function SwitchWindows(which)
   if Options.moving then tgt = MoveWin else tgt = MainWin end
   for key,widget in pairs(Field) do
      widget:SetParent(tgt)
   end
   Field["quick"]:SetVisible(Options.moving)
   Field["dropdown"]:SetVisibility(Options.moving)
   MainWin:SetVisible(false)
   MoveWin:SetVisible(false)
   tgt:SetVisible(true)
end
okcolor = Turbine.UI.Color(1,1,1);
cautioncolor = Turbine.UI.Color(1,1,0.5);
badcolor = Turbine.UI.Color(1,0.5,0.5);
function Display()
   local time = tonumber(subtimeout)
   local color = okcolor
   local text = T["SubscriptionBenefits"]
   local units = T["days_abbrev"]
   if time == 0 then
      text = T["nosubscription"]
      color = badcolor
   else
      if time < 2 then
         time = time*24
         units = T["hours_abbrev"]
         color = badcolor
      elseif time < 7 then
         color = cautioncolor
      end
      text = text .. string.format(" %.0f%s",time,units)
   end
   Field["sub"]:SetText(text)
   Field["sub"]:SetForeColor(color)
   
   Field["empty"]:SetText(T["EmptyInventorySlots"]..": "..emptyslots)
   if tonumber(emptyslots) <5 then Field["empty"]:SetForeColor(badcolor)
   elseif tonumber(emptyslots) < 10 then Field["empty"]:SetForeColor(cautioncolor)
   else Field["empty"]:SetForeColor(okcolor)
   end
   
   Field["carry"]:SetText(carryalls)
   if string.len(carryalls) <= string.len(startCarry) then Field["carry"]:SetForeColor(okcolor)
   else Field["carry"]:SetForeColor(badcolor)
   end
   for key in pairs(defaults) do
      if Field[key] ~= nil then
         Field[key]:SetVisible(Options[key])
      end
   end
end
